/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfdj.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.appmenu.vo.DbsxVO;
import org.springblade.modules.appmenu.vo.RwtxListVO;
import org.springblade.modules.mdjfdj.entity.MdjfDjEntity;
import org.springblade.modules.mdjfdj.excel.MdjfDjExcel;
import org.springblade.modules.mdjfdj.vo.JqVO;
import org.springblade.modules.mdjfdj.vo.MdjfDjVO;

import java.util.List;
import java.util.Map;

/**
 * 矛盾纠纷登记表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-08-02
 */
public interface MdjfDjMapper extends BaseMapper<MdjfDjEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	List<MdjfDjVO> selectmdjfDjPage(IPage page, @Param("params") Map<String, Object> params);


	/**
	 * 获取导出数据
	 *
	 * @return
	 */
	List<MdjfDjExcel> exportmdjfDj(@Param("params") Map<String, Object> params);

    MdjfDjEntity getDetail(MdjfDjEntity mdjfdj);

	List<MdjfDjVO> pageToApp(IPage page, @Param("params") Map<String, Object> params, String[] mdIds);

    int getJfhf(@Param("params") Map<String, Object> params);

	DbsxVO getDbsxVOtj(String deptId);

	DbsxVO getDbsxVOhf(String deptId);

	List<MdjfDjEntity> getMdHfjzsjIsNotNull();

    int getMdjfSl(Long userId);

	List<JqVO> getJqByLxdh(@Param("params") Map<String, String> params);

	List<JqVO> getJqTx(String deptId);

	List<JqVO> getJqFm(IPage page, @Param("params") Map<String, String> params);

	@DS("jl")
    void saveJl(MdjfDjEntity mdjfDjEntity);

	RwtxListVO getRwtxVOtj(String deptId);

	RwtxListVO getRwtxVOhf(String deptId);
}
